package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.BasDeviceParam;
import java.util.List;

import cn.cecep.talroad.vo.query.analysis.BasDeviceParamQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
public interface BasDeviceParamService extends IService<BasDeviceParam>{


    int updateBatch(List<BasDeviceParam> list);

    int updateBatchSelective(List<BasDeviceParam> list);

    int batchInsert(List<BasDeviceParam> list);

    IPage<BasDeviceParam> pageService(BasDeviceParamQuery param);
}
